org.codehaus.groovy.vmplugin.v5

## Class Java5

- java.lang.Object
- - org.codehaus.groovy.vmplugin.v5.Java5

- All Implemented Interfaces:
    VMPlugin
  Direct Known Subclasses:
    Java6

      public class Java5
      extends java.lang.Object
      implements VMPlugin

  java 5 based functions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Java5()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureAnnotation(AnnotationNode node)`
    `void` | `configureClassNode(CompileUnit compileUnit, ClassNode classNode)`
    `java.lang.Class[]` | `getPluginDefaultGroovyMethods()`
    `java.lang.Class[]` | `getPluginStaticGroovyMethods()`
    `void` | `invalidateCallSites()`
    `void` | `setAdditionalClassInformation(ClassNode cn)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Java5

          public Java5()

  - ### Method Detail

    - #### setAdditionalClassInformation

          public void setAdditionalClassInformation(ClassNode cn)

      Specified by:
        `setAdditionalClassInformation` in interface `VMPlugin`

    - #### getPluginDefaultGroovyMethods

          public java.lang.Class[] getPluginDefaultGroovyMethods()

      Specified by:
        `getPluginDefaultGroovyMethods` in interface `VMPlugin`

    - #### getPluginStaticGroovyMethods

          public java.lang.Class[] getPluginStaticGroovyMethods()

      Specified by:
        `getPluginStaticGroovyMethods` in interface `VMPlugin`

    - #### configureAnnotation

          public void configureAnnotation(AnnotationNode node)

      Specified by:
        `configureAnnotation` in interface `VMPlugin`

    - #### configureClassNode

          public void configureClassNode(CompileUnit compileUnit,
                                ClassNode classNode)

      Specified by:
        `configureClassNode` in interface `VMPlugin`

    - #### invalidateCallSites

          public void invalidateCallSites()

      Specified by:
        `invalidateCallSites` in interface `VMPlugin`